#ifndef LGC_H
#define LGC_H

#include <ncurses.h>
#include "common.h"

#define COMM_BUFSIZE	64
#define FG_CAPS		COLOR_BLUE | A_BOLD
#define FG_STAR		COLOR_WHITE | A_BOLD
#define FG_TOPIC	COLOR_GREEN
#define PKT_CHANNEL	0x00
#define PKT_PROMPT	0x01
#define PKT_PSTART	0x02
#define PKT_PEND	0x03
#define	PKT_MSG		0x04
#define	PKT_START	0x05
#define PKT_EXIT	0x06

void                     ncursesInit();
void                     refreshServerInfo();
void                     refreshChannels();
void                     refreshClients(int sendCMD = 1);
void                     request(void *cmdP, int cmdLen);
int                      clientRead();
void                     getMessage(Msg * msg);

extern int               nMsgsWaiting;
extern Msg               msg;
extern struct termios    saveTermios;
extern int               optDOS;
extern int               fd;
extern int               nChannels;
extern int               curChannel;
extern ServerInfo        serverInfo;
extern Channel          *channel;
extern int               clientNo,
                         nClients;
extern Client           *client;
extern WINDOW           *msgW,
                        *cmdW;

#endif
